SystemOrganization addCategory: #TinyBlog!

Object subclass: #TBWPost
	instanceVariableNames: 'title text date category visible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TinyBlog'!

!TBWPost commentStamp: 'wajrou 5/30/2016 15:21' prior: 0!
Model of simple blog post!

!TBWPost class methodsFor: 'as yet unclassified' stamp: 'wajrou 5/28/2016 08:46'!
title: aTitle text: aText
	^ self new
		title: aTitle;
		text: aText;
		yourself! !

!TBWPost class methodsFor: 'as yet unclassified' stamp: 'wajrou 5/28/2016 08:46'!
title: aTitle text: aText category: aCategory
	^ (self title: aTitle	text: aText)
		category: aCategory;
		yourself! !

!TBWPost class methodsFor: 'as yet unclassified' stamp: 'wajrou 5/28/2016 08:37'!
unclassifiedTag
	^ 'Unclassified'! !

!TBWPost methodsFor: 'actions' stamp: 'wajrou 5/28/2016 08:29'!
beVisible
	self visible: true! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
category
	^ category! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
category: anObject
	category := anObject! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
date
	^ date! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
date: anObject
	date := anObject! !

!TBWPost methodsFor: 'initialization' stamp: 'wajrou 5/28/2016 08:40'!
initialize

	self category: self class unclassifiedTag.
	self date: Date today.
	self notVisible ! !

!TBWPost methodsFor: 'actions' stamp: 'wajrou 5/28/2016 08:50'!
isUnclassified
	^ self category = self class unclassifiedTag ! !

!TBWPost methodsFor: 'actions' stamp: 'wajrou 5/28/2016 08:30'!
isVisible
	^ self visible! !

!TBWPost methodsFor: 'actions' stamp: 'wajrou 5/28/2016 08:29'!
notVisible
	self visible: false! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:27'!
text
	^ text! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:27'!
text: anObject
	text := anObject! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:26'!
title
	^ title! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:27'!
title: anObject
	title := anObject! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
visible
	^ visible! !

!TBWPost methodsFor: 'accessing' stamp: 'wajrou 5/28/2016 08:28'!
visible: anObject
	visible := anObject! !
